#!/bin/sh

# Epson printer utility script
# requires gutenprint and zenity
# 13 July 2008

#   Copyright (C) 2008-2009 D. Scott Barninger

#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License
#   as published by the Free Software Foundation.

#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.

#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
# 12/25/2008 released as version 1.0

#------------------------------------------
# Adjust these values to match your printer
PRINTER=/dev/usb/lp0
MODEL="Stylus C120"

# To identify if yourprinter model is supported do:
#	escputil escputil -dr /dev/usb/lp0
# assuming your printer is connected as /dev/usb/lp0

# This requires read/write access to the raw printer device. This is easiest to 
# accomplish by adding your user to group lp.
#------------------------------------------

ACTION=`zenity --title "Epson $MODEL Printer Utility" --text "Please choose an action." --list --radiolist --column "Select" --column "Action" False "Check Ink Levels" False "Print Nozzle Check Pattern" False "Clean Print Head"`

RESULT="$?"
if [ "$RESULT" = "1" ];
then
        exit;
fi

if [ "$ACTION" = "Check Ink Levels" ];
then
	rm -f /tmp/inkcheck
        escputil -e -r $PRINTER > /tmp/inkcheck
	zenity --text-info --filename=/tmp/inkcheck --title="$MODEL Ink Level" --width=500 --height=375;
fi

if [ "$ACTION" = "Print Nozzle Check Pattern" ];
then
        escputil --nozzle-check -r $PRINTER;
fi

if [ "$ACTION" = "Clean Print Head" ];
then
        escputil --clean-head -r $PRINTER;
fi

if [ "$ACTION" = "" ];
then
        zenity --error --text="Sorry, you didn't specify an action!";
fi
