# determine what platform we are building on
%define fedora 0
%define suse 0
%define mdk 0

%if %{_vendor} == redhat
	%define fedora 1
%endif
%if %{_vendor} == suse
	%define suse 1
%endif
%if %{_vendor} == mandriva
	%define mdk 1
%endif

%if ! %{fedora} && ! %{suse} && ! %{mdk}
%{error: Unknown platform. Please examine the spec file.}
exit 1
%endif

%define _prefix /usr

Summary: Utility for Epson printers
Name: epson_utility
Version: 1.0
Release: 1
Group: Hardware/Printing
License: GPL v2
BuildArchitectures: noarch
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
URL: http://www.barninger.com/epson_utility/
Packager: D. Scott Barninger <barninger at fairfieldcomputers dot com>

%if mdk
Requires: gutenprint-escputil zenity
%endif

%if fedora || suse
Requires: gutenprint zenity
%endif


%description
GUI utility for Epson inkjet printers. Front-end to escputil to check ink 
levels, print a nozzle check pattern and clean the print heads.


%install

[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

mkdir $RPM_BUILD_ROOT%{_prefix}/bin
mkdir $RPM_BUILD_ROOT%{prefix}/share/applications
mkdir $RPM_BUILD_ROOT%_prefix}/share/pixmaps
install -m 0755 $RPM_BUILD_DIR/epson_utility.sh $RPM_BUILD_ROOT%{_prefix}/bin/
install -m 0644 $RPM_BUILD_DIR/epson_utility.png $RPM_BUILD_ROOT%{_prefix}/share/pixmaps/
install -m 0644 $RPM_BUILD_DIR/epson_utility.desktop $RPM_BUILD_ROOT%{_prefix}/share/applications/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
$RPM_BUILD_ROOT%{_prefix}/bin
$RPM_BUILD_ROOT%{_prefix}/share
%doc COPYING GNU_LICENSE README

%post
echo "Please open /usr/bin/epson_util.sh in a text editor and adjust it for your printer.\n"
echo "To identify if yourprinter model is supported do:\n"
echo "escputil escputil -dr /dev/usb/lp0\n"
echo "assuming your printer is connected as /dev/usb/lp0"

This requires read/write access to the raw printer device. This is easiest to 
accomplish by adding your user to group lp.

%changelog
* Thu Dec 25 2008 D. Scott Barninger <barninger at fairfieldcomputers.com>
- initial spec file
